GET
/trancodesList transaction code templates
Display a listing of tranCodes for the specified ledger.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
status | query | string enum: active | deprecated | Filter by status |
search | query | string | Search in code, name, or description |
limit | query | integer default: 25 · max: 100 | Number of items per page (max 100) |
cursor | query | string | Cursor for pagination |
Responses
200Successful operation
{
"success": true,
"meta": {
"pagination": {
"limit": 25,
"has_more": true,
"next_cursor": "eyJpZCI6IjAxOWRjZjg3LTUwN2ItNzE5OS05ZTE1LWZhY2YxNjVlNzRjMSJ9"
}
},
"data": [
{
"id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
"ledger_id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
"code": "PAYMENT",
"name": "Customer Payment",
"status": "active",
"version": 1,
"entries_template": {
"entries": [
{
"account": "{params.from_account}",
"type": "credit",
"amount": "{params.amount}"
},
{
"account": "{params.to_account}",
"type": "debit",
"amount": "{params.amount}"
}
]
},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
} 401Unauthenticated
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 403Forbidden
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} Examples
curl https://ledga.io/api/v1/trancodes \
-H "Authorization: Bearer sk_xxxxxxxx_your_secret" use Ledga\Api\LedgaClient;
$ledga = new LedgaClient('sk_xxxxxxxx_your_secret');
$codes = $ledga->transactionCodes->list();